import { AxiosInstance } from "axios";
import {Signature} from 'ethers'
  
export const generateNonce = async (address: string, axiosInstance: AxiosInstance) => {
    const nonce = await axiosInstance.post(`/users/${address}`);
    return nonce.data;
  };
  
  export const verifySignature = async (
    address: string,
    isSmartWallet: boolean,
    domain: { name: string; version: string; chainId: any; verifyingContract: string; },
    types: { AuthSignature: { name: string; type: string; }[]; },
    signature: Signature,
    axiosInstance: AxiosInstance
  ) => {
    const jwtResponse = await axiosInstance.post(
      `/users/${address}/verify-signature`,
      {
        address,
        isSmartWallet,
        domain,
        types,
        signature,
      }
    );
  
    return jwtResponse.data;
  };